function [result] = predictTcardia(ecg_data1,ecg_data2,Fs)
    
    load 'tcardia_model.mat'
    
    tcardia_thresh = 133;
    
    pred_result = 0;
    test_s = 1;
    
    [x_fv,ecg_locs1,ecg_locs2,x_fv1,x_fv2,l_yes] = get_fv5(ecg_data1,ecg_data2,Fs);
    
    test_set = x_fv;
    
    [m_test,n_test] = size(test_set);
    test_f = m_test;
    
    test_len = test_f - test_s + 1;
    
    for i=1:1:n_test
        test_set(:,i) = (test_set(:,i) - mean_x(i))/(max_x(i) - min_x(i));
    end
    
    test_x = [ones(test_len,1) test_set];
    [svm_y,~] = predict(svm_struct,test_x);
    
    sum_y = sum(svm_y);
    
    if(sum_y == 1)
        bpm_ecg1 = -1;
        bpm_ecg2 = -1;
        
        if(length(ecg_locs1) > 1)
            diff_ecg1 = diff(ecg_locs1);
            bpm_ecg1 = Fs*60./diff_ecg1;
        end
        if(length(ecg_locs2) > 1)
            diff_ecg2 = diff(ecg_locs2);
            bpm_ecg2 = Fs*60./diff_ecg2;
        end
        
        ecg1_133 = length(find(bpm_ecg1 > tcardia_thresh));
        ecg2_133 = length(find(bpm_ecg2 > tcardia_thresh));
        
        if((ecg1_133 > 5)||(ecg2_133 > 5))
            
            pred_result = 1;
            if(((ecg1_133 < 10)||(ecg2_133 < 10)) && (l_yes == 1))
                
                pred_result = 0;
                for ii = 1:1:2
                    if(ii==1)
                        test_set = x_fv1;
                    else
                        test_set = x_fv2;
                    end
                    for i=1:1:n_test
                        test_set(:,i) = (test_set(:,i) - mean_x(i))/(max_x(i) - min_x(i));
                    end
                    test_x = [ones(test_len,1) test_set];
                    [svm_y,~] = predict(svm_struct,test_x);
                    if(svm_y == 1)
                        pred_result = 1;
                        break;
                    end
                end
            end
        end
    end
        
    result = pred_result;
end